> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vistaly.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update card

> Update an existing card



## OpenAPI

````yaml https://api.vistaly.com/v1/swagger.json put /beta/cards/{cardId}
openapi: 3.1.0
info:
  contact:
    email: support@vistaly.com
    name: Vistaly Support Team
  description: >-
    Vistaly's public API for interacting with our platform, enabling developers
    to integrate with various features such as feedback, cards, and system
    health.
  termsOfService: https://vistaly.com/terms-of-service
  title: Vistaly API
  version: '2025-06-21'
servers:
  - description: Production server
    url: https://api.vistaly.com
security: []
tags:
  - description: System-related endpoints to interact with the overall service.
    name: system
  - description: >-
      Endpoints related to card management, including the creation and
      modification of card metrics and related data.
    externalDocs:
      description: Learn more about Cards
      url: https://docs.vistaly.com/en/card-types/overview
    name: cards
  - description: >-
      Endpoints for handling insights data, such as user feedback and interview
      records.
    externalDocs:
      description: Learn more about Insights
      url: https://docs.vistaly.com/en/insights/overview
    name: insights
paths:
  /beta/cards/{cardId}:
    put:
      tags:
        - cards
      summary: Update card
      description: Update an existing card
      parameters:
        - description: The unique identifier for the card
          in: path
          name: cardId
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateCardRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UpdateCardResponse'
          description: Card updated successfully
        '400':
          description: Bad request
          content:
            application/json:
              example:
                message: Bad request
              schema:
                $ref: '#/components/schemas/MessageResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              example:
                message: Unauthorized
              schema:
                $ref: '#/components/schemas/MessageResponse'
        '403':
          description: Forbidden
          content:
            application/json:
              example:
                message: Forbidden
              schema:
                $ref: '#/components/schemas/MessageResponse'
        '500':
          description: Internal Server Error
          content:
            application/json:
              example:
                message: Internal server error
              schema:
                $ref: '#/components/schemas/MessageResponse'
      security:
        - bearerAuth: []
components:
  schemas:
    UpdateCardRequest:
      additionalProperties: false
      properties:
        cardTitle:
          description: The updated title of the card
          example: Improve customer onboarding flow
          type: string
        cardType:
          $ref: '#/components/schemas/CardType'
        cardDetails:
          description: The updated detailed description of the card
          example: >-
            We need to streamline the onboarding process to reduce drop-off
            rates
          type: string
        cardStatus:
          $ref: '#/components/schemas/CardStatus'
          description: >-
            The updated status of the card. The status value must be valid for
            the card type.
          example: now
        resources:
          description: List of resource links associated with this card
          type: array
          items:
            $ref: '#/components/schemas/Resource'
      type: object
    UpdateCardResponse:
      additionalProperties: false
      properties:
        cardId:
          description: The unique identifier of the updated card
          type: string
        cardUrl:
          description: The url of the updated card
          type: string
        message:
          description: Success message
          example: Card updated successfully
          type: string
      required:
        - cardId
        - cardUrl
        - message
      type: object
    MessageResponse:
      additionalProperties: false
      properties:
        message:
          example: System provided message
          type: string
      type: object
    CardType:
      enum:
        - assumption
        - experiment
        - kpi
        - objective
        - opportunity
        - outcome
        - problem
        - product
        - solution
    CardStatus:
      enum:
        - addressed
        - at risk
        - developing
        - done
        - failed
        - idea
        - identified
        - later
        - next
        - not now
        - now
        - passed
        - pending
        - progressing
        - running
        - on track
        - uncommitted
    Resource:
      type: object
      description: A resource link associated with a card
      properties:
        url:
          type: string
          description: The URL of the resource
        title:
          type: string
          description: The title of the resource
      required:
        - url
        - title
      additionalProperties: false
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````